//+------------------------------------------------------------------+
//|                                       Filter FPS Alert Arrow.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2016, coded jimtang using PaititiGold template"
#property indicator_chart_window
#property indicator_buffers 2

extern color ArrowColor     = Yellow;//

extern int   ArrowWidth      = 3;
extern int ArrowDisplacement = 2;

extern string Sound_File   = "alert";
extern bool ArrowTopOn     =true;
extern bool ArrowBottomOn  =true;

datetime lastimealert;
 
// Indicator buffers

double Down[];
double Up[];

// Global variables
int LastBars = 0;

int init()
{


   SetIndexBuffer(0, Down);
   SetIndexBuffer(1, Up);

   //---- drawing settings
   SetIndexStyle(0, DRAW_ARROW,252,ArrowWidth,ArrowColor);
   SetIndexArrow(0, 234);
   SetIndexStyle(1, DRAW_ARROW,252,ArrowWidth,ArrowColor);
   SetIndexArrow(1, 233);

   //----
   SetIndexEmptyValue(0, EMPTY_VALUE);
   SetIndexEmptyValue(1, EMPTY_VALUE);

   //---- indicator labels
   SetIndexLabel(0, "SELL");
   SetIndexLabel(1, "BUY");

   //----

   return(0);
  }
//

int start()
{
   int NeedBarsCounted;

   if (LastBars == Bars) return(0);
   NeedBarsCounted = Bars - LastBars;
   LastBars = Bars;
   if (NeedBarsCounted == Bars) 

   NeedBarsCounted--;

   for (int i = NeedBarsCounted; i >= 0; i--)
   {

      // example rule
      int Current = i;
      if (Current==0) return(0);
 
	         double   FPSTRENDBLUE    =  iCustom(NULL,0,"FPS Trend ",0,Current);
	         double   FPSTRENDRED    =  iCustom(NULL,0,"FPS Trend ",1,Current);
	         
	         
	         double   FILTERBLUE1    =  iCustom(NULL,0,"Filter",1,Current);
	         double   FILTERBLUE2   =  iCustom(NULL,0,"Filter",1,Current+1);
	         double   FILTERRED1 =  iCustom(NULL,0,"Filter",0,Current);
	         double   FILTERRED2 =  iCustom(NULL,0,"Filter",0,Current+1);
	         

  //-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------    

      // RULES HERE FOR BEARISH SIGNAL OR PUT A1
   if    ( FPSTRENDRED==1.0000
           &&FILTERRED2==1.0000&&FILTERBLUE2==0.0000&&FILTERBLUE1==1.0000&&FILTERRED1==0.0000
        
   ){//
      Down[i] = High[Current] + ArrowDisplacement * Point;
      if (ArrowBottomOn){
           Alert(Symbol(), " Time to SELL");};
           lastimealert= Time[0];
    }

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------    
   // RULES HERE FOR BULLISH SIGNAL OR CALL B1
 if     (   FPSTRENDBLUE==1.0000
            &&FILTERBLUE2==1.0000&&FILTERRED2==0.0000&&FILTERRED1==1.0000&&FILTERBLUE1==0.0000 
                 
   
   ){//
      Up[i] = Low[Current] - ArrowDisplacement * Point;
      if (ArrowTopOn){
           Alert(Symbol(), " Time to BUY");};
           lastimealert= Time[0];  
   }         

//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------   
//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------   
   }
        
   return(0);
}
